package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.Version;
import java.util.Date;


/**
 * 关联分析-阈值设置对象 bas_threshold_config
 *
 * @author szhpt
 * @date 2023-05-18*/
@ApiModel(value = "关联分析-阈值设置")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("bas_threshold_config")
public class BasThresholdConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;
    public static final String tableKey = "bas_threshold_config_";

    @ApiModelProperty(value = "主键")
    /** 主键 */
    @TableId(value = "data_id",type = IdType.AUTO)
    private Long dataId;


    @ApiModelProperty(value = "分析任务名称")
    /** 分析任务名称 */
    @Excel(name = "分析任务名称")
    private String taskName;


    @ApiModelProperty(value = "参数编码")
    /** 参数编码 */
    @Excel(name = "参数编码")
    private String paramCode;


    @ApiModelProperty(value = "参数名称")
    /** 参数名称 */
    @Excel(name = "参数名称")
    private String paramName;


    @ApiModelProperty(value = "阈值频次：D:日 H：小时")
    /** 阈值频次：D:日 H：小时 */
    @Excel(name = "阈值频次：D:日 H：小时")
    private String frequency;


    @ApiModelProperty(value = "阈值")
    /** 阈值 */
    @Excel(name = "阈值")
    private BigDecimal thresholdValue;


    @ApiModelProperty(value = "单位")
    /** 单位 */
    @Excel(name = "单位")
    private String unit;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("dataId", getDataId())
            .append("taskName", getTaskName())
            .append("paramCode", getParamCode())
            .append("paramName", getParamName())
            .append("frequency", getFrequency())
            .append("thresholdValue", getThresholdValue())
            .append("unit", getUnit())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
